
CluCoreObject.addLauncherTraits("shortcut", {
	loadCommandList : function( clazz, cmdlist ){
		findFile( clazz.path.profile, new RegExp("\.(?:lnk|url)$","i"), function( file ){
				var sc = shell.CreateShortcut( file.Path );
				var cmd = new Command();
				cmd.name = fso.GetBaseName( file.Name );
				cmd.path = sc.TargetPath;
				cmd.dir = sc.WorkingDirectory;
				cmdlist.push( cmd );
				
			}, function(){} );
		
		return cmdlist;
	},
	saveCommandList : function( clazz, cmdlist ){
		foreach( cmdlist, function( cmd ){
			var path = fso.BuildPath( clazz.path.profile, cmd.name +".lnk");
			var sc = shell.CreateShortcut( path );
			sc.TargetPath = cmd.path;
			sc.WorkingDirectory = cmd.dir;
			sc.Save();
		} );
	}
} );
