
CluCoreObject.addLauncherTraits("anemone", {
	loadCommandList : function( clazz, cmdlist ){
		enumFile( clazz.path.profile, function( file ){
				var doc = new ActiveXObject("MSXML.DOMDocument");
				doc.load( file.Path );
				var e = doc.documentElement;
				var cmd = new Command();
				cmd.name = e.selectSingleNode("/entry/name/text()").nodeValue;
				cmd.path = e.selectSingleNode("/entry/path/text()").nodeValue;
				cmdlist.push( cmd );
				
			}, function(){} );
		
		return cmdlist;
	},
	saveCommandList : function( clazz, cmdlist ){
		foreach( cmdlist, function( cmd ){
			var doc = new ActiveXObject("MSXML.DOMDocument");
			doc.appendChild( doc.createProcessingInstruction("xml","version='1.0' encoding='utf-8'") );
			var root = doc.createElement("entry");
			doc.appendChild( root );
			root.appendChild( doc.createTextNode("\n\t") );
			var name = doc.createElement("name");
			name.appendChild( doc.createTextNode( cmd.name ) );
			root.appendChild( name );
			var path = doc.createElement("path");
			path.appendChild( doc.createTextNode( cmd.path ) );
			root.appendChild( doc.createTextNode("\n\t") );
			root.appendChild( path );
			root.appendChild( doc.createTextNode("\n") );
			doc.save( fso.BuildPath( clazz.path.profile, cmd.name ) );
		} );
	}
} );
